Upgrading PHP

 
Post new topic   Reply to topic    Aprelium Forum Index -> PHP
View previous topic :: View next topic  
Author Message
BobN
-


Joined: 28 Jul 2011
Posts: 19

PostPosted: Wed Apr 04, 2012 3:50 am    Post subject: Upgrading PHP Reply with quote

The PHP package I downloaded using the link on the page at http://www.aprelium.com/abyssws/php5win.html does not include the GD library.

phpinfo() reports that it is release 5.3.6 and I downloaded and installed it around January 25, 2012 - that's the creation date on the directory into which I installed the package.

I am basing my statement that it does not support GD upon two things -

1) the output from phpinfo() contains nothing about it and doesn't even contains any text with "gd" in it - I used Firefox Find to search for gd and it was not found.

I guess not finding anything with gd in it is not that strange as I doubt there are any words in the English language that contain a G followed by a D expect for acronyms and mnemonics, which I suppose you can't accurately call "words."

2) Code to look for one of the GD functions tells me it it not found.

Code:
if(!function_exists('imagettftext')) {
    echo ('Error: Server does not support PHP image generation') ;
    exit;
}


The echo is executed.

I see that the current pre-configured copy of PHP is 5.40 and the comments on http://www.aprelium.com/abyssws/php5win.html say

Quote:
Support for mbstring, cURL, GD2, IMAP, GetText, LDAP, OpenSSL, PDO, ODBC, SQLite, MySQL, and MySQLi is also turned on by default.


My questions are:

Is freetype also included in the 5.4 release?

Can I simply install the updated pre-configured package on top of the existing one?

If not, what procedure should I use?

Your assistance will be appreciated.

This next question has nothing to do with programming or computers - except that it might keep you, or someone else, alive to continue working and using computers.

Do you know that you can have a heart attack without chest pain, shortness of breah, or any of the other "classic" symptoms?

Well, you can and I've had two heart attacks with atypical symptoms

Go read about the first one at:

http://www.healthboards.com/ubb/Forum61/HTML/000737.html

The life you save may be your own!

Women - you are more likely to have atypical heart attack symptoms than men.

I tell people that if you have pain you can account for or if you have multiple areas of pain, go to the ER.

One more thing - to those responsible for the Abyss server and for providing a free version of it - THANK YOU!
Back to top View user's profile Send private message
admin
Site Admin


Joined: 03 Mar 2002
Posts: 772

PostPosted: Wed Apr 04, 2012 4:33 pm    Post subject: Re: Upgrading PHP Reply with quote

BobN,

We've just tested our preconfigured PHP 5.4.0 package and it contains GD. phpinfo() shows clearly that GD is supported:

Code:
gd
------------------------------------------------
GD Support    enabled
GD Version    bundled (2.0.34 compatible)
FreeType Support    enabled
FreeType Linkage    with freetype
FreeType Version    2.4.3
GIF Read Support    enabled
GIF Create Support    enabled
JPEG Support    enabled
libJPEG Version    6b
PNG Support    enabled
libPNG Version    1.2.46
WBMP Support    enabled
XBM Support    enabled
------------------------------------------------
Directive   Local Value   Master Value
gd.jpeg_ignore_warning   0   0


Please check your php.ini file. It may have been altered and the GD extension disabled there. If the problem persists, please reinstall PHP 5 in a fresh path (not over another PHP 5 setup) and redo your tests.
_________________
Forum Administrator
Aprelium - http://www.aprelium.com
Back to top View user's profile Send private message
BobN
-


Joined: 28 Jul 2011
Posts: 19

PostPosted: Fri Apr 06, 2012 3:34 pm    Post subject: Re: Upgrading PHP Reply with quote

admin wrote:
BobN,

We've just tested our preconfigured PHP 5.4.0 package and it contains GD. phpinfo() shows clearly that GD is supported:

-- snip --

Please check your php.ini file. It may have been altered and the GD extension disabled there. If the problem persists, please reinstall PHP 5 in a fresh path (not over another PHP 5 setup) and redo your tests.


I have PHP Version 5.3.6 installed, not 5.4. I can find no mention of GD in the INI files - original, production, and the one in use.

I'll install 5.4 and check it out. ----

5.4 Install without a problem and phpinfo() shows a whole section on GD which was not there in the 5.3.6 version I had installed.

Now if I can remember the things I did to configure PHP 5.3.6 the way I wanted and needed - I'll look but I dont' think I took any notes when I installed and configured PHP 5.3.6

Well, I'll figure it out.

Thanks for the assitance.
Back to top View user's profile Send private message
jxxaxxy
-


Joined: 11 Nov 2010
Posts: 27

PostPosted: Fri Apr 06, 2012 9:46 pm    Post subject: Reply with quote

Why not upgrade to php 5.3.10??? GD is enabled by default on that version???
Back to top View user's profile Send private message
aprelium-support
-


Joined: 20 Feb 2009
Posts: 356

PostPosted: Mon May 07, 2012 3:21 pm    Post subject: Reply with quote

jxxaxxy wrote:
Why not upgrade to php 5.3.10??? GD is enabled by default on that version???


The preconfigured package of PHP 5.3.12 for Windows was just released: http://www.aprelium.com/forum/viewtopic.php?t=205585 .
_________________
Support Team
Aprelium - http://www.aprelium.com
Back to top View user's profile Send private message Visit poster's website
bosley_G
-


Joined: 17 Jan 2013
Posts: 2

PostPosted: Sun Jan 20, 2013 5:57 am    Post subject: Reply with quote

aprelium-support wrote:
jxxaxxy wrote:
Why not upgrade to php 5.3.10??? GD is enabled by default on that version???


The preconfigured package of PHP 5.3.12 for Windows was just released: http://www.aprelium.com/forum/viewtopic.php?t=205585 .


Thanks! Wasn't able to see this before I commented. ;)
_________________
"Live with no excuses and love with no regrets." steven barbarich
Back to top View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    Aprelium Forum Index -> PHP All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB phpBB Group